<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:46 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>io.mosip.registration.device.scanner.wia Class Hierarchy (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="io.mosip.registration.device.scanner.wia Class Hierarchy (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/device/scanner/impl/package-tree.html">Prev</a></li>
<li><a href="../../../../../../io/mosip/registration/device/webcam/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/device/scanner/wia/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package io.mosip.registration.device.scanner.wia</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/ClassFactory.html" title="class in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">ClassFactory</span></a></li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">com4j.Com4jObject
<ul>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/ICommonDialog.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">ICommonDialog</span></a></li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IDevice.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IDevice</span></a></li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IDeviceCommand.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IDeviceCommand</span></a></li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IDeviceCommands.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IDeviceCommands</span></a> (also extends java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;T&gt;)</li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IDeviceEvent.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IDeviceEvent</span></a></li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IDeviceEvents.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IDeviceEvents</span></a> (also extends java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;T&gt;)</li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IDeviceInfo.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IDeviceInfo</span></a></li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IDeviceInfos.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IDeviceInfos</span></a> (also extends java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;T&gt;)</li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IDeviceManager.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IDeviceManager</span></a></li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IFilter.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IFilter</span></a></li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IFilterInfo.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IFilterInfo</span></a></li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IFilterInfos.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IFilterInfos</span></a> (also extends java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;T&gt;)</li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IFilters.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IFilters</span></a> (also extends java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;T&gt;)</li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IFormats.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IFormats</span></a> (also extends java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;T&gt;)</li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IImageFile</span></a></li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageProcess.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IImageProcess</span></a></li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IItem.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IItem</span></a></li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IItems.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IItems</span></a> (also extends java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;T&gt;)</li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IProperties.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IProperties</span></a> (also extends java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;T&gt;)</li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IProperty.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IProperty</span></a></li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IRational.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IRational</span></a></li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IVector.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IVector</span></a> (also extends java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;T&gt;)</li>
</ul>
</li>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Iterable</span></a>&lt;T&gt;
<ul>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IDeviceCommands.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IDeviceCommands</span></a> (also extends com4j.Com4jObject)</li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IDeviceEvents.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IDeviceEvents</span></a> (also extends com4j.Com4jObject)</li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IDeviceInfos.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IDeviceInfos</span></a> (also extends com4j.Com4jObject)</li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IFilterInfos.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IFilterInfos</span></a> (also extends com4j.Com4jObject)</li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IFilters.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IFilters</span></a> (also extends com4j.Com4jObject)</li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IFormats.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IFormats</span></a> (also extends com4j.Com4jObject)</li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IItems.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IItems</span></a> (also extends com4j.Com4jObject)</li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IProperties.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IProperties</span></a> (also extends com4j.Com4jObject)</li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/IVector.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">IVector</span></a> (also extends com4j.Com4jObject)</li>
</ul>
</li>
</ul>
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Enum</span></a>&lt;E&gt; (implements java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;T&gt;, java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaSubType.html" title="enum in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">WiaSubType</span></a></li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">WiaPropertyType</span></a> (implements com4j.ComEnum)</li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">WiaItemFlag</span></a> (implements com4j.ComEnum)</li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html" title="enum in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">WiaImagePropertyType</span></a> (implements com4j.ComEnum)</li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImageIntent.html" title="enum in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">WiaImageIntent</span></a> (implements com4j.ComEnum)</li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImageBias.html" title="enum in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">WiaImageBias</span></a> (implements com4j.ComEnum)</li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaEventFlag.html" title="enum in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">WiaEventFlag</span></a> (implements com4j.ComEnum)</li>
<li type="circle">io.mosip.registration.device.scanner.wia.<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaDeviceType.html" title="enum in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">WiaDeviceType</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/device/scanner/impl/package-tree.html">Prev</a></li>
<li><a href="../../../../../../io/mosip/registration/device/webcam/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/device/scanner/wia/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
